<?xml version="1.0" encoding="utf-8" ?>
<log4net>
  <appender name="Console" type="log4net.Appender.ConsoleAppender">
    <layout type="log4net.Layout.PatternLayout">
      <!-- Pattern to output the caller's file name and line number -->
      <conversionPattern value="%5level [%thread] (%file:%line) - %message%newline" />
    </layout>
  </appender>

  <appender name="ColoredConsole" type="log4net.Appender.ColoredConsoleAppender">
    <mapping>
      <level value="DEBUG" />
      <foreColor value="White" />
    </mapping>
    <mapping>
      <level value="INFO" />
      <foreColor value="Green, HighIntensity" />
    </mapping>
    <mapping>
      <level value="WARN" />
      <foreColor value="Yellow, HighIntensity" />
    </mapping>
    <mapping>
      <level value="ERROR" />
      <foreColor value="Red, HighIntensity" />
    </mapping>
    <mapping>
      <level value="FATAL" />
      <foreColor value="Red, HighIntensity" />
      <backColor value="White, HighIntensity"/>
    </mapping>
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%utcdate{HH:mm:ss,fff} [%thread] %logger [%property{NDC}] - %message%newline" />
    </layout>
  </appender>

  <appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
	<file type="log4net.Util.PatternString" value="log\_FormHost_logfile_[%processid].log" />
    <appendToFile value="true" />
    <maximumFileSize value="1MB" />
    <maxSizeRollBackups value="10" />

    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%utcdate{dd MMM yyyy HH:mm:ss,fff} %level [%thread] %logger - %message%newline" />
    </layout>
  </appender>

  <root>
    <level value="DEBUG" />
    <appender-ref ref="ColoredConsole" />
    <appender-ref ref="RollingFile" />
  </root>

  <logger name="cadosys.Workflow.Core.Supervisor.ServerFileSystemStorage">
    <level value="DEBUG" />
  </logger>
</log4net>